USE [Sym3DataStore]
GO

/****** Object:  Table [dbo].[DimAlarmTriggerAlarmUDP]    Script Date: 4/11/2021 12:21:26 pm ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[DimAlarmTriggerAlarmUDP](
	[AlarmTriggerId] [uniqueidentifier] NOT NULL,
	[AlarmUDPId] [uniqueidentifier] NOT NULL,
	[ValueString] [nvarchar](255) NULL,
PRIMARY KEY CLUSTERED 
(
	[AlarmTriggerId] ASC,
	[AlarmUDPId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[DimAlarmTriggerAlarmUDP]  WITH CHECK ADD  CONSTRAINT [FK120CFAA61C6E4100] FOREIGN KEY([AlarmTriggerId])
REFERENCES [dbo].[DimAlarmTrigger] ([Id])
GO

ALTER TABLE [dbo].[DimAlarmTriggerAlarmUDP] CHECK CONSTRAINT [FK120CFAA61C6E4100]
GO

