USE [Sym3DataStore]
GO

/****** Object:  UserDefinedFunction [dbo].[fn_SplitString]    Script Date: 4/11/2021 12:24:16 pm ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

--This is for Cairns Domestic
CREATE FUNCTION [dbo].[fn_SplitString]
(
	@Str nvarchar(max),
	@Seperator nvarchar(5)
)  
RETURNS  @result TABLE
(
	Item varchar(255)
) 
AS
BEGIN
	While (Charindex(@Seperator,@Str)>0)
	Begin
		Insert Into @result VALUES (ltrim(rtrim(Substring(@Str,1,Charindex(@Seperator,@Str)-1))))
		Set @Str = Substring(@Str,Charindex(@Seperator,@Str)+1,len(@Str))
	END
	Insert Into @result VALUES (@Str)
	RETURN
END
GO

