USE [Sym3DataStore]
GO

/****** Object:  Table [dbo].[DimAlarmTrigger]    Script Date: 4/11/2021 12:22:50 pm ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[DimAlarmTrigger](
	[Id] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](255) NULL,
	[PrimaryTagName] [nvarchar](255) NULL,
	[CompareWith] [tinyint] NULL,
	[CompareOperator] [tinyint] NULL,
	[Threshold] [nvarchar](255) NULL,
	[SecondaryTagName] [nvarchar](255) NULL,
	[Priority] [uniqueidentifier] NULL,
	[Enabled] [bit] NULL,
	[Displayed] [bit] NULL,
	[Message] [nvarchar](255) NULL,
	[EquipmentName] [nvarchar](255) NULL,
	[Audio] [nvarchar](255) NULL,
	[UpdatedDT] [datetime] NULL,
	[UpdatedBy] [uniqueidentifier] NULL,
	[Active] [bit] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

